import React from 'react';
import i18n from 'ui-i18n';
import { Record } from '../Record';
import { RecordLabel } from '../RecordLabel';
import { RecordUpdates } from '../RecordUpdates';
import { SegmentObject } from '../SegmentObject';
export var SegmentRecord = function (_a) {
    var _b;
    var item = _a.item;
    var deltaArray = (_b = item === null || item === void 0 ? void 0 : item.deltaCollection) === null || _b === void 0 ? void 0 : _b.delta;
    return (React.createElement(Record, null,
        React.createElement(RecordLabel, { description: deltaArray ? '' : i18n.text('Segment changed') },
            React.createElement(SegmentObject, { item: item })),
        React.createElement(RecordUpdates, { updates: deltaArray, recordId: item.id, isSegment: true })));
};
